/**
  *  \file client/tiles/vishull.h
  *  \brief Visual Scanner: Hull Information Tile
  */
#ifndef PCC_V2_CLIENT_TILES_VISHULL_H
#define PCC_V2_CLIENT_TILES_VISHULL_H

#include "client/wtile.h"
#include "game/objtypes.h"

class WVisualScanHullInfoTile : public WObjectTypeObserverTile {
 public:
    WVisualScanHullInfoTile(GObjectType& type);
    void drawData(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
